## nitconverter 0.1

=== debian/changelog ===
nitconverter (0.1) stable; urgency=low

  * Initial release

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Tue, 15 Dec 2009 17:38:49 -0800
