## nitconverter 0.2

=== debian/changelog ===
nitconverter (0.2) stable; urgency=low

  * Added area, angles.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 02 Jan 2010 17:38:49 -0800
