=== debian/changelog ===
nitconverter (0.3) stable; urgency=low

  * Added time and bytes.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 27 Jan 2010 17:38:49 -0800
