## nitconverter 0.4

=== src/Makefile ===
--- 
+++ 
@@ -1,25 +1,25 @@
 #############################################################################
 # Makefile for building: nitconverter
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Nov 14 12:44:48 2009
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Jun 5 13:40:01 2010
 # Project:  src.pro
 # Template: app
-# Command: /usr/bin/qmake-qt4 -unix -o Makefile src.pro
+# Command: /usr/bin/qmake -unix -o Makefile src.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DMAEMO -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB
-CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4/Qt3Support -I/targets/DIABLO_X86/usr/include/qt4 -I../lib -I.
+DEFINES       = -DMAEMO -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
+INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/DIABLO_X86/usr/include/qt4/QtCore -I/targets/DIABLO_X86/usr/include/qt4/QtGui -I/targets/DIABLO_X86/usr/include/qt4 -I../lib -I.
 LINK          = g++
-LFLAGS        = 
-LIBS          = $(SUBLIBS)  -L/usr/lib -lQt3Support -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-O1
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/bin/qmake-qt4
+QMAKE         = /usr/bin/qmake
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f
@@ -57,13 +57,17 @@
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		src.pro
 QMAKE_TARGET  = nitconverter
@@ -105,14 +109,20 @@
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf \
-		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf \
+		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
+		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtCore.prl
 	$(QMAKE) -unix -o Makefile src.pro
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
@@ -122,14 +132,20 @@
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
-/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/debug.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
-/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/moc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/resources.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/uic.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/yacc.prf:
+/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/DIABLO_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
+/usr/lib/libQtGui.prl:
+/usr/lib/libQtCore.prl:
 qmake:  FORCE
 	@$(QMAKE) -unix -o Makefile src.pro
 
@@ -150,9 +166,6 @@
 	-$(DEL_FILE) Makefile
 
 
-/usr/bin/moc:
-	(cd $(QTDIR)/src/tools/moc && $(MAKE))
-
 mocclean: compiler_moc_header_clean compiler_moc_source_clean
 
 mocables: compiler_moc_header_make_all compiler_moc_source_make_all
@@ -160,12 +173,24 @@
 compiler_moc_header_make_all: moc_nitconverterbase.cpp
 compiler_moc_header_clean:
 	-$(DEL_FILE) moc_nitconverterbase.cpp
-moc_nitconverterbase.cpp: nitconverterbase.h \
-		/targets/DIABLO_X86/usr/bin/moc-qt4
+moc_nitconverterbase.cpp: nitconverterbase.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) nitconverterbase.h -o moc_nitconverterbase.cpp
 
+compiler_rcc_make_all:
+compiler_rcc_clean:
+compiler_image_collection_make_all: qmake_image_collection.cpp
+compiler_image_collection_clean:
+	-$(DEL_FILE) qmake_image_collection.cpp
 compiler_moc_source_make_all:
 compiler_moc_source_clean:
+compiler_uic_make_all:
+compiler_uic_clean:
+compiler_yacc_decl_make_all:
+compiler_yacc_decl_clean:
+compiler_yacc_impl_make_all:
+compiler_yacc_impl_clean:
+compiler_lex_make_all:
+compiler_lex_clean:
 compiler_clean: compiler_moc_header_clean 
 
 ####### Compile
@@ -175,11 +200,10 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp
 
 nitconverter.o: nitconverter.cc nitconverter.h \
-		nitconverterbase.h \
-		MyQ3ListViewItem.h
+		nitconverterbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverter.o nitconverter.cc
 
-nitconverterbase.o: nitconverterbase.cpp 
+nitconverterbase.o: nitconverterbase.cpp nitconverterbase.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o nitconverterbase.o nitconverterbase.cpp
 
 moc_nitconverterbase.o: moc_nitconverterbase.cpp 
@@ -190,6 +214,7 @@
 install_target: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
 	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
+	-strip "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
 
 uninstall_target:  FORCE
 	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
@@ -198,7 +223,7 @@
 
 install_data_service: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/com.nokia.nitconverter.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/com.nokia.nitconverter.service $(INSTALL_ROOT)/usr/share/dbus-1/services/
 
 
 uninstall_data_service:  FORCE
@@ -208,7 +233,7 @@
 
 install_data_desktop: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/nitconverter.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/nitconverter.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_data_desktop:  FORCE
@@ -218,7 +243,7 @@
 
 install_data_icons_26: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/26x26/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/26x26/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/26x26/apps/
 
 
 uninstall_data_icons_26:  FORCE
@@ -228,7 +253,7 @@
 
 install_data_icons_48: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/48x48/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/48x48/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/48x48/apps/
 
 
 uninstall_data_icons_48:  FORCE
@@ -238,7 +263,7 @@
 
 install_data_icons_scale: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/ 
-	-$(INSTALL_FILE) /home/forsberg/nitconverter/trunk/src/data/icons/scalable/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/
+	-$(INSTALL_FILE) /home/forsberg/converter/converter/trunk/src/data/icons/scalable/nitconverter.png $(INSTALL_ROOT)/usr/share/icons/hicolor/scalable/hildon/
 
 
 uninstall_data_icons_scale:  FORCE
