=== debian/changelog ===
nitconverter (0.4) stable; urgency=low

  * Added temperature.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 5 Jun 2010 17:38:49 -0800
