=== debian/control ===
Source: nitconverter
Section: user/utilities
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libosso-dev
Standards-Version: 3.7.2

Package: nitconverter
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager
Description: An Units Converter for Nokia Internet Tablets.
 This converter will convert between many different sets of
 units.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QsPABsSjNl8
 0gAAAy1JREFUSMfdlctvW0UUxn9nfG23jp+xnTpuHo6blPQVQq5bRBGitFKF
 AIlVN4DErmyQKrFjwYYVQgIJiQ0skaB/RCVegnSB3BIJijAhWKWpHSdxUreO
 H/deDws7KBFp6hioEJ90NUffOTrf/TQzZ4T7wTS9gGJvaJHNNnZKGDsIhDxu
 11vj4/2vuz0udzfdbdthfn4N4MsGnNtdyDQV8Eo6HXnn1KmDg8GgtysLC7+u
 UShUuXBhitlvb7oW7lNndEQysajvg8zJ5OmRkVBXAuVyjZ9urHLs+DBmJk29
 Xt+13pBM5o2A3/tuIhF0FW5XKRaqgPxZILIlbhM0mzaTk2leevkott2kVqs9
 8MeMgH/f1Hvvv+oyDIPNz+02MAw3W7k23+bQQqF4m1wuh213d0p2PFVag9Z6
 B163eWHPUPSAHnR6E3pojnhojnqw9N92JP/DPdoOx2lx7dqiUyrd/YpdZ93f
 wPx8iStXblwtFiuXyGa/+0eFRITl5QqffXq1ODd3800Nn5DNtnaddfWGtXH5
 8jd1JQqlBKUUSilEVCfucKIQpVAiWJbjfP7F9Y/vVKpvk82ud3chTFN6uhgP
 cPAXR6Z5UQDfnoXMPVVvGKND0a89XvfpVCpO7pcCsWgQJUJpuUI6dYBbi6to
 rRlKxljIF4lGgqBhZa3C2FCCW4UVRITBeJT84hLRUJBWS1O+U2EsOcjvS8s0
 LXvW9eJrlz5MDobdL5yfllKpIplH05IajotlOfL8uWmp1S2JRQJy/qkpWVm9
 K+aJQzKciIltO/Lc0zNS3WjIQH9Izpw8LuX1ezJz5JAkY/3itBx59glT7lVr
 0ufbHzdcGp6cThHxujn7+AThoA+FIurz4HOBV2D6xCgxv4dnMhOEg33QgnjA
 i98DXgNmJkc4EPJyZmaccMBPy2mRiOwjuB+8brBsMAw0x0ZioGFqbAB0++E7
 GPbRaNo8NpHgSCcfSrfzaBiO9tG0bMzDSY6ORNEa+tMD6E5eD/ixLIfMI0lm
 f/gNY7GwXsp+nx9tP6HtPpvx5nr9x/w2TuvtNXM/59vhFn5rn6XyeknMix8l
 gcP/8qjL/QEoLBlPrsG7lwAAAABJRU5ErkJggg==
 ====
