=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Description: An Units Converter for Nokia Internet Tablets.
  This converter will convert between many different sets of
  units.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1102
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/
  AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QsPABsSjNl8
