## nitconverter 0.6

=== debian/changelog ===
nitconverter (0.6) stable; urgency=low

  * Fixing debian/control description.

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Wed, 6 Jun 2010 17:38:49 -0800
